package com.company.springdocsample.config;

import io.jmix.core.JmixSecurityFilterChainOrder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.SecurityFilterChain;

@Configuration
public class MyApiConfig {

    /**
     * Allows access for /hello controller
     *
     * @see com.company.springdocsample.controller.GreetingController
     */
    @Bean
    @Order(JmixSecurityFilterChainOrder.FLOWUI - 20)
    public SecurityFilterChain myApiSecurityFilterChain(HttpSecurity http) throws Exception {
        http.securityMatcher("/hello/**")
                .authorizeHttpRequests(auth -> auth.anyRequest().permitAll());
        return http.build();
    }

}
